package com.yc.ship.module.trade.framework.common.ota.qunaer;
/**
 * @Title: QunarReqStruct.java
 * @Package: com.wisesoft.scenic.api.resolver
 * &#064;Description: TODO
 * @author: zhoulonggui
 * @date: 2017年5月22日 下午1:51:40
 * @version: V1.0
 */
public class QunarReqStruct {

	// 传输数据：data是由QMRequestDataSchema.xsd进行数据格式的规范的XML格式字符串。针对securityType为MD5，此处为XML Base64后的结果字符串
	private String data;
	// 安全类型
	private String securityType;
	// 签名 MD5(signkey+data)
	private String signed;
	// 解密后的数据
	private String xmlData;
	
	public QunarReqStruct(String data, String securityType, String signed, String xmlData) {
		super();
		this.data = data;
		this.securityType = securityType;
		this.signed = signed;
		this.xmlData = xmlData;
	}
	public String getData() {
		return data;
	}
	public void setData(String data) {
		this.data = data;
	}
	public String getSecurityType() {
		return securityType;
	}
	public void setSecurityType(String securityType) {
		this.securityType = securityType;
	}
	public String getSigned() {
		return signed;
	}
	public void setSigned(String signed) {
		this.signed = signed;
	}
	public String getXmlData() {
		return xmlData;
	}
	public void setXmlData(String xmlData) {
		this.xmlData = xmlData;
	}
	
}
